## beets 2.0.0

=== debian/changelog ===
beets (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patches, superseded upstream: skip-buildd-failures, unidecode-1.3.6,
    mediafile-0.11, sphinx-extlinks, test_ui-completions, python3.12-imp,
    python3.12-has_calls, python3.12-has_calls-2, python3.12-inspect-mocking,
    python3.12-inspect-mocking-2, and
    test-Ignore-test_get_single_item_by_path-partially.patch.
  * Update copyright.
  * Update dependencies for new release.
  * Patch: Disable test coverage reporting.
  * Patch: Help autopkgtests locate test resources.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 06 Jun 2024 14:03:09 +0100

beets (1.6.0-9) unstable; urgency=medium

  * Team Upload.
  * Remove extraneous dep on python3-mock
  * Use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Thu, 28 Mar 2024 23:40:54 +0100

beets (1.6.0-8) unstable; urgency=medium

  * Rebuild patch queue from patch-queue branch
    Added patch:
    test-Ignore-test_get_single_item_by_path-partially.patch
    (Let the package tests pass with werkzeug >= 2.3.x.)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 13 Jan 2024 11:40:33 +0100

beets (1.6.0-7) unstable; urgency=medium

  * Disable test_completion, as has failed for a while, undetected.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 13 Nov 2023 10:49:23 +0200

beets (1.6.0-6) unstable; urgency=medium

  * Patch: Ignore spurious warnings in completion test.
  * Patch: Replace imp with importlib for Python 3.12.
  * Patch: Replace .has_calls with .assert_has_calls for Python 3.12.
  * Patch: Remove one of the above asserts, as it was wrong.
  * Patches: Improve inspect mocking for Python 3.12.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 12 Nov 2023 14:15:44 +0200

beets (1.6.0-5) unstable; urgency=medium

  * Patch: Support Sphinx 7.1 and docutils 0.20. (Closes: #1042665)
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 24 Oct 2023 11:54:09 +0200

beets (1.6.0-4) unstable; urgency=medium

  * Patch: Support mediafile 0.11. (Closes: #1027461, 1027519)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 01 Jan 2023 14:44:21 -0400

beets (1.6.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 12:01:11 +0100

beets (1.6.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + beets: Drop versioned constraint on python3-musicbrainzngs in Depends.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository.

  [ Stefano Rivera ]
  * Bump confuse dependency to >= 1.5.
  * Patch: unidecode 1.3.6 support in tests (a codepoint that was tested
    changed).

 -- Stefano Rivera <stefanor@debian.org>  Tue, 04 Oct 2022 11:38:47 +0200

=== debian/control ===
Source: beets
Section: sound
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Stefano Rivera <stefanor@debian.org>,
 Ryan Kavanagh <rak@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-bs4,
 python3-confuse (>= 1.5),
 python3-discogs-client,
 python3-flask,
 python3-jellyfish,
 python3-mediafile,
 python3-mpd,
 python3-munkres,
 python3-musicbrainzngs,
 python3-pydata-sphinx-theme,
 python3-pylast,
 python3-pytest,
 python3-rarfile,
 python3-reflink,
 python3-requests-oauthlib,
 python3-responses,
 python3-setuptools,
 python3-sphinx,
 python3-typing-extensions,
 python3-unidecode (>= 1.3.6),
 python3-xdg,
 python3-yaml
Standards-Version: 4.6.2
Homepage: https://beets.io/
Vcs-Git: https://salsa.debian.org/python-team/packages/beets.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/beets
Rules-Requires-Root: no

Package: beets
Architecture: all
Depends:
 libjs-backbone,
 libjs-jquery,
 libjs-underscore,
 python3-confuse (>= 1.5),
 python3-mediafile,
 python3-musicbrainzngs,
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends}
Suggests:
 beets-doc,
 ffmpeg,
 mp3gain,
 python3-acoustid,
 python3-bs4,
 python3-dbus,
 python3-flask,
 python3-flask-cors,
 python3-gi,
 python3-gst-1.0,
 python3-langdetect,
 python3-mpd,
 python3-mutagen,
 python3-pil,
 python3-py7zr,
 python3-pylast,
 python3-rarfile,
 python3-reflink,
 python3-requests,
 python3-requests-oauthlib,
 python3-xdg
Description: music tagger and library organizer
 Beets is a media library management system for obsessive-compulsive music
 geeks.
 .
 The purpose of beets is to get your music collection right once and for all.
 It catalogs your collection, automatically improving its metadata as it goes
 using the MusicBrainz database.  It then provides a set of tools for
 manipulating and accessing your music.
 .
 Beets also includes a music player that implements the MPD protocol, so you
 can play music in your beets library using any MPD client.

Package: beets-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Description: music tagger and library organizer - documentation
 Beets is a media library management system for obsessive-compulsive music
 geeks.
 .
 The purpose of beets is to get your music collection right once and for all.
 It catalogs your collection, automatically improving its metadata as it goes
 using the MusicBrainz database.  It then provides a set of tools for
 manipulating and accessing your music.
 .
 Beets also includes a music player that implements the MPD protocol, so you
 can play music in your beets library using any MPD client.
 .
 This package provides detailed documentation on beets usage.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/beets/ --install-scripts=/usr/share/beets/
export LC_ALL=C.UTF-8
# https://github.com/beetbox/beets/issues/1876
export PYBUILD_TEST_ARGS=-k "not test_completion"

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html man

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

=== debian/tests/control ===
Tests: unittests
Depends:
 beets,
 python3-bs4,
 python3-discogs-client,
 python3-flask,
 python3-mpd,
 python3-pylast,
 python3-pytest,
 python3-reflink,
 python3-requests-oauthlib,
 python3-responses,
 python3-xdg

## beets 2.2.0

=== debian/changelog ===
beets (2.2.0-3) unstable; urgency=medium

  [ Florent 'Skia' Jacquet ]
  * Patch: plugins/thumbnails: fix FFI with GIO on s390x.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 13 Apr 2025 17:38:58 -0400

beets (2.2.0-2) unstable; urgency=medium

  * Patch: Don't use 2025 as a "future" year. (Closes: #1091495)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 29 Dec 2024 14:21:53 -0400

beets (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch skip-autobpm, superseded upstream.
  * Update copyright.
  * Correct typos in <!nocheck> profiles.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 03 Dec 2024 14:24:54 -0400

beets (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch watch file to github tarballs, upstream stopped shipping tests.
  * Refresh patches.
  * Drop patch no-cov, no longer relevant.
  * Migrate to pybuild-plugin-pyproject with poetry-core.
  * Update dependencies.
  * Declare dependencies for nocheck and nodoc builds.
  * Update copyright.
  * Patch: Skip autobpm tests without the autobpm binary.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Nov 2024 13:50:22 +0100

=== debian/control ===
--- 
+++ 
@@ -7,30 +7,33 @@
  Ryan Kavanagh <rak@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ pybuild-plugin-pyproject,
  dh-sequence-python3,
  python3-all,
- python3-bs4,
- python3-confuse (>= 1.5),
- python3-discogs-client,
- python3-flask,
- python3-jellyfish,
- python3-mediafile,
- python3-mpd,
- python3-munkres,
- python3-musicbrainzngs,
- python3-pydata-sphinx-theme,
- python3-pylast,
- python3-pytest,
- python3-rarfile,
- python3-reflink,
- python3-requests-oauthlib,
- python3-responses,
- python3-setuptools,
- python3-sphinx,
- python3-typing-extensions,
- python3-unidecode (>= 1.3.6),
- python3-xdg,
- python3-yaml
+ python3-bs4 <!nocheck>,
+ python3-confuse (>= 1.5) <!nocheck>,
+ python3-discogs-client <!nocheck>,
+ python3-flask <!nocheck>,
+ python3-jellyfish <!nocheck>,
+ python3-mediafile <!nocheck>,
+ python3-mpd <!nocheck>,
+ python3-munkres <!nocheck>,
+ python3-musicbrainzngs <!nocheck>,
+ python3-platformdirs <!nocheck>,
+ python3-poetry-core,
+ python3-py7zr <!nocheck>,
+ python3-pydata-sphinx-theme <!nodoc>,
+ python3-pylast <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-flask <!nocheck>,
+ python3-rarfile <!nocheck>,
+ python3-reflink <!nocheck>,
+ python3-requests-oauthlib <!nocheck>,
+ python3-responses <!nocheck>,
+ python3-sphinx <!nodoc>,
+ python3-unidecode (>= 1.3.6) <!nocheck>,
+ python3-xdg <!nocheck>,
+ python3-yaml <!nocheck>
 Standards-Version: 4.6.2
 Homepage: https://beets.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/beets.git
@@ -45,8 +48,6 @@
  libjs-underscore,
  python3-confuse (>= 1.5),
  python3-mediafile,
- python3-musicbrainzngs,
- python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends}
 Suggests:
@@ -56,6 +57,7 @@
  python3-acoustid,
  python3-bs4,
  python3-dbus,
+ python3-discogs-client,
  python3-flask,
  python3-flask-cors,
  python3-gi,
@@ -70,6 +72,7 @@
  python3-reflink,
  python3-requests,
  python3-requests-oauthlib,
+ python3-resampy,
  python3-xdg
 Description: music tagger and library organizer
  Beets is a media library management system for obsessive-compulsive music

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export PYBUILD_INSTALL_DIR=/usr/share/beets/
# https://github.com/beetbox/beets/issues/1876
export PYBUILD_TEST_ARGS=-k "not test_completion"

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html man
endif

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

=== debian/tests/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  python3-mpd,
  python3-pylast,
  python3-pytest,
+ python3-pytest-flask,
  python3-reflink,
  python3-requests-oauthlib,
  python3-responses,

## beets 2.5.1

=== debian/changelog ===
beets (2.5.1-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Update Build-Depends: python3-lap replaces munkres. New deps:
    python3-numpy, python3-requests-mock, python3-types-mock.

  [ Pieter Lenaerts ]
  * New maintainer (Closes: #1088977)
  * Removed Stefano from uploaders.
  * New upstream version 2.5.1
  * Fix gbp import from upstream
  * d/control:
    - Removed rules-requires-root-no-field
    - Update Standards-Version to 4.7.2
    - Update Build-Depends:
      - Added version requirements from pyproject.toml.
      - Added new build deps
      - Update Depends: removed python3-confuse and python3-mediafile as
      dh_python3 adds them to ${python3:Depends}
  * d/tests/control: sync deps with debian/control build-deps
  * d/rules:
    - execute_after_dh_fixperms: Fix permissions db.py and
      commands.py: non scripts files should not be executable.
    - PYBUILD_AFTER_INSTALL: LICENSE is now in a dir. Remove it.
    - execute_after_dh_auto_build: cleanup leftover static js files.
    - Honour DEB_BUILD_OPTIONS in d/r
  * Refresh patches:
    - removed obsolete 2025-future patch, test no longer exists.
    - removed obsolete fix-ubuntu-s390x patch, merged upstream.
    - removed skip-broken-tests, no longer needed.
  * New patches:
    - Fix basic py314 errors
    - skip-gstreamer-replaygain.patch tests for py 3.14 for now
  * d/watch: update to version 5
  * d/beets.lintian-overrides: repeated path segments & genres.txt looks
    like docs outside /u/s/docs
  * d/beets-docs.lintian-overrides: font-awesome files and beets
    repeated-path-segment
  * d/not-installed: pytest cache & report

 -- Pieter Lenaerts <plenae@disroot.org>  Mon, 29 Dec 2025 11:23:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,42 +3,56 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Stefano Rivera <stefanor@debian.org>,
- Ryan Kavanagh <rak@debian.org>
+ Ryan Kavanagh <rak@debian.org>,
+ Pieter Lenaerts <plenae@disroot.org>
 Build-Depends:
  debhelper-compat (= 13),
  pybuild-plugin-pyproject,
  dh-sequence-python3,
  python3-all,
+ python3-poetry-core,
+ python3-confuse (>= 1.5) <!nocheck>,
+ python3-jellyfish <!nocheck>,
+ python3-lap (>= 0.5.12) <!nocheck>,
+ python3-mediafile (>= 0.12.0) <!nocheck>,
+ python3-musicbrainzngs (>= 0.4) <!nocheck>,
+ python3-numpy (>= 1.24.4) <!nocheck>,
+ python3-platformdirs (>= 3.5.0) <!nocheck>,
+ python3-unidecode (>= 1.3.6) <!nocheck>,
+ python3-yaml <!nocheck>,
  python3-bs4 <!nocheck>,
- python3-confuse (>= 1.5) <!nocheck>,
  python3-discogs-client <!nocheck>,
  python3-flask <!nocheck>,
- python3-jellyfish <!nocheck>,
- python3-mediafile <!nocheck>,
+ python3-gi <!nocheck>,
+ python3-gst-1.0 <!nocheck>,
+ gstreamer1.0-plugins-good <!nocheck>,
+ python3-langdetect <!nocheck>,
+ python3-mock <!nocheck>,
  python3-mpd <!nocheck>,
- python3-munkres <!nocheck>,
- python3-musicbrainzngs <!nocheck>,
- python3-platformdirs <!nocheck>,
- python3-poetry-core,
+ python3-pil <!nocheck>,
  python3-py7zr <!nocheck>,
- python3-pydata-sphinx-theme <!nodoc>,
  python3-pylast <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-flask <!nocheck>,
  python3-rarfile <!nocheck>,
- python3-reflink <!nocheck>,
+ python3-requests <!nocheck>,
  python3-requests-oauthlib <!nocheck>,
- python3-responses <!nocheck>,
+ python3-requests-mock <!nocheck>,
+ python3-responses (>= 0.3.0) <!nocheck>,
+ python3-types-mock <!nocheck>,
+ python3-xdg <!nocheck>,
+ ffmpeg <!nocheck>,
+ imagemagick <!nocheck>,
+ mp3gain <!nocheck>,
+ unrar-free <!nocheck>,
+ python3-pydata-sphinx-theme <!nodoc>,
  python3-sphinx <!nodoc>,
- python3-unidecode (>= 1.3.6) <!nocheck>,
- python3-xdg <!nocheck>,
- python3-yaml <!nocheck>
-Standards-Version: 4.6.2
+ python3-sphinx-design <!nodoc>,
+ python3-sphinx-copybutton <!nodoc>
+Standards-Version: 4.7.2
 Homepage: https://beets.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/beets.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/beets
-Rules-Requires-Root: no
 
 Package: beets
 Architecture: all
@@ -46,33 +60,33 @@
  libjs-backbone,
  libjs-jquery,
  libjs-underscore,
- python3-confuse (>= 1.5),
- python3-mediafile,
  ${misc:Depends},
  ${python3:Depends}
 Suggests:
  beets-doc,
  ffmpeg,
  mp3gain,
+ imagemagick,
  python3-acoustid,
  python3-bs4,
  python3-dbus,
- python3-discogs-client,
+ python3-discogs-client (>= 2.3.15),
  python3-flask,
  python3-flask-cors,
  python3-gi,
  python3-gst-1.0,
+ gstreamer1.0-plugins-good,
  python3-langdetect,
  python3-mpd,
- python3-mutagen,
+ python3-mutagen (>= 1.33),
  python3-pil,
  python3-py7zr,
  python3-pylast,
  python3-rarfile,
  python3-reflink,
  python3-requests,
- python3-requests-oauthlib,
- python3-resampy,
+ python3-requests-oauthlib (>= 0.6.1),
+ python3-resampy (>= 0.4.3),
  python3-xdg
 Description: music tagger and library organizer
  Beets is a media library management system for obsessive-compulsive music

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export PYBUILD_INSTALL_DIR=/usr/share/beets/
# https://github.com/beetbox/beets/issues/1876
export PYBUILD_TEST_ARGS=-k "not test_completion"
export PYBUILD_AFTER_INSTALL=rm -r {destdir}{install_dir}/beets-*.dist-info/licenses/

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html man
	# There seem to be leftover static js files.
	rm -rf docs/_build/man/_sphinx_design_static
endif

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

execute_after_dh_fixperms:
	chmod a-x debian/beets/usr/share/beets/beets/dbcore/db.py \
		debian/beets/usr/share/beets/beets/ui/commands.py

=== debian/tests/control ===
Tests: unittests
Depends:
 beets,
 ffmpeg,
 gstreamer1.0-plugins-good,
 imagemagick,
 mp3gain,
 python3-bs4,
 python3-discogs-client,
 python3-flask,
 python3-gi,
 python3-gst-1.0,
 python3-langdetect,
 python3-mock,
 python3-mpd,
 python3-pil,
 python3-py7zr,
 python3-pylast,
 python3-pytest,
 python3-pytest-flask,
 python3-rarfile,
 python3-reflink,
 python3-requests,
 python3-requests-oauthlib,
 python3-requests-mock,
 python3-responses,
 python3-types-mock,
 python3-xdg,
 unrar-free
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/beetbox/beets/git/matching-refs/tags/
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
Downloadurlmangle: s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g
Filenamemangle: s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%
Searchmode: plain

## beets oldestdate-1.1.2

=== requirements.txt ===
mediafile~=0.9.0
musicbrainzngs~=0.7.1
python-dateutil~=2.8.2
beets~=1.6.0
